Represents an [[Iterable]] with a navigable hierarchy.

### Type parameters

- TNode
- T: TNode

### Hierarchy

- Iterable<T>
- Hierarchical<TNode>
  - HierarchyIterable
    - HierarchyGrouping
    - HierarchyPage
    - OrderedHierarchyIterable

### Implemented by

- BottomMostIterable
- HierarchyIterableImpl
- HierarchyQuery
- OrderedHierarchyIterableImpl
- OrderedHierarchyQuery
- TopMostIterable

## Index

### Methods

- [Hierarchical.hierarchy]
- [Symbol.iterator]

## Methods

### [Hierarchical.hierarchy]

- [Hierarchical.hierarchy](): HierarchyProvider<TNode>

- Inherited from Hierarchical.[Hierarchical.hierarchy]

  - Defined in types.ts:57

  Gets an object that provides hierarchical relationships.

  #### Returns HierarchyProvider<TNode>

### [Symbol.iterator]

- [Symbol.iterator](): Iterator<T>

- Inherited from Iterable.[Symbol.iterator]

  - Defined in C:/dev/iterable-query/node_modules/typescript/lib/lib.es2015.iterable.d.ts:43

  #### Returns Iterator<T>

Generated using TypeDoc